Skip to main content
GET
/
public-api
/
agents
/
{agent_id}
/
stats
Get agent execution stats
curl --request GET \
  --url https://api.neoagent.io/public-api/agents/{agent_id}/stats \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "average_execution_time": 123,
    "failed_executions": 123,
    "last_execution_time": "2023-11-07T05:31:56Z",
    "successful_executions": 123,
    "total_executions": 123
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

agent_id
string
required

Response

Success.

data
AgentStats · object
required
meta
object
required